// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or vendor/assets/javascripts of plugins, if any, can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// Read Sprockets README (https://github.com/sstephenson/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require fly_admin/libs/jquery-2.1.1.min.js
//= require jquery_ujs
//= require fly_admin/libs/jquery-ui-1.10.3.min.js
//= require fly_admin/app.config.js
//= require fly_admin/plugin/jquery-touch/jquery.ui.touch-punch.min.js
//= require fly_admin/plugin/bootstrap-progressbar/bootstrap-progressbar.min.js
//= require fly_admin/bootstrap/bootstrap.min.js
//= require fly_admin/app.js
//= require fly_admin/categories
//= require fly_admin/videos
//= require jquery_nested_form
//= require fly_admin/uploads
//= require fly_admin/jstree
//= require js-routes

$(document).ready(function() {
  pageSetUp();
  active_menu_li = $('nav ul').data('active')
  highlight_menu();
});

function highlight_menu() {
  $('nav li[data-type^='+active_menu_li+']').addClass('active')
  $('nav li:not([data-type^='+active_menu_li+'])').removeClass('active')
}

