module FlyAdmin
  module SettingsHelper
    def custom_checkbox_tag
      if daemon_enabled?
        check_box_tag 'daemon', '1', true
      else
        check_box_tag 'daemon', '1', false
      end
    end

    def daemon_enabled?
      File.exists?("#{Rails.root}/tmp/pids/video_converter.pid")
    end
  end
end
