FlyAdmin::Engine.routes.draw do
  root :to => 'categories#index' 
  get 'settings', to: 'settings#index'
  post 'settings/update', to: 'settings#update', as: :update_settings
  post 'upload', to: 'uploads#upload'
  get 'files', to: 'uploads#files'
  get 'upload', to: 'uploads#index'
  post 'videos', to: 'videos#index'
  resources :categories
  resources :footers
  resources :videos
  get '/js/seasons' => 'categories#seasons', as: :seasons_js
end
