require_dependency "fly_admin/application_controller"
module FlyAdmin
  class SettingsController < ApplicationController
    def index
    end

    def update
      toggle_daemon
      redirect_to categories_path, alert: "Настройки успешно сохранены"
    end

    private
    
    def toggle_daemon
      cmd = "bundle exec script/video_converter_control" + " "
      if params["daemon"]
        DaemonControlJob.perform_later(cmd + "start")
      else
        DaemonControlJob.perform_later(cmd + "stop")
        StopFFmpegJob.perform_later()
      end
    end

  end
end
