namespace :fly_admin do
  namespace :bootstrap do
    
    task :admin => :environment do
      admin = User.create! do |u|
        u.login = "admin"
        u.password = "yFAXHINwDc"
        u.password_confirmation = "yFAXHINwDc"
        u.role = 1
        u.is_active = true
      end
    end

    task :countries => :environment do
      countries = ["ru", "en", "fr", "nl", "az"]
      countries.each { |c| FlyAdmin::Country.create!(name: c) }
    end

    task :paysites => :environment do
      paysites = ["wap","mt"]
      paysites.each { |p| FlyAdmin::Paysite.create!(name: p)}
    end

  end

  namespace :migrate do
    desc 'Migrate existing footers'
    task :footers => :environment do
      Footer.all.each do |old_footer|
        paysite_name = old_footer.paysite.name
        country_name = old_footer.country.name

        country_id = FlyAdmin::Country.find_by_name(country_name).id
        paysite_id = FlyAdmin::Paysite.find_by_name(paysite_name).id

        attributes = old_footer.attributes.merge({"id" => nil, "created_at" => nil, "updated_at" => nil, "source_type" => "local", "paysite_id" => paysite_id, "country_id" => country_id})
        FlyAdmin::Footer.create!(attributes)
      end
      ap "Migrating is successfull!", :color => { :string => :green }
    end
  end
end
